#### D.12.7.3 varsigns

Procedure from library `rootsur.lib` (see rootsur_lib).

Usage:
  varsigns(l); list l.

Return:
  int: the number of sign changes in the list l

Example:

    LIB "rootsur.lib";
    ring r = 0,x,dp;
    list l = 1,2,3;
    varsigns(l);
    ==> 0
    l = 1,-1,2,-2,3,-3;
    varsigns(l);
    ==> 5

See also: boundposDes.

User manual for Singular version 4.4.1, 2025, generated by texi2html.